@import "pref";

nevis-auth-create-account {
  width: 100%;
}

.nevis-auth-create-account {
  width: 100%;
  padding-top: $indent-local;
}

.nevis-auth-create-account__form {
  width: 100%;
  position: relative;
}

.nevis-auth-create-account__chechbox {
  width: 93%;
  align-self: center;

  user-select: none;
}

.standard-indent {
  margin-bottom: $form-std-indent;
}

.nevis-auth-create-account__complete-wrap {
  width: 100%;
  margin-top: $page-header-height;

  text-align: center;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.nevis-auth-create-account__complete-btn {
  width: $single-btn-width;

  &.mat-raised-button {
    margin-top: $form-half-indent;
  }
}

//
// ADAPTIVE
//
@include media-tablet {

  .nevis-auth-create-account {
    padding-top: $indent-local + $indent-local / 4;

    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: flex-start;
  }

  .nevis-auth-create-account__form {
    width: $block-standard-width;
  }
}

@include media-desktop {

  .nevis-auth-create-account {
    padding-top: $indent-local + $indent-local / 2;
  }
}
